#!/bin/bash

if ! type yq; then
	echo "$(tput setaf 1)\`yq\` is not availble, please install from https://github.com/mikefarah/yq"
	exit 1
fi

eval "$(yq  '.steps.[0].commands[]' < .drone.yml)"

TAG="$(yq  '.steps.[1].settings.tags' < .drone.yml)"

( 
	cd hometown || return 1

	docker build -t "git.coopcloud.tech/coop-cloud-chaos-patchs/hometown:$TAG" .
)

rm -r hometown

docker push "git.coopcloud.tech/coop-cloud-chaos-patchs/hometown:$TAG"
